Search moodle.org's
Developer Documentation

  • Bug fixes for general core bugs in 3.10.x will end 8 November 2021 (12 months).
  • Bug fixes for security issues in 3.10.x will end 9 May 2022 (18 months).
  • PHP version: minimum PHP 7.2.0 Note: minimum PHP version has increased since Moodle 3.8. PHP 7.3.x and 7.4.x are supported too.
  • Cohort UI related functions and classes.

    Copyright: 2012 Petr Skoda {@link http://skodak.org}
    License: http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
    File Size: 157 lines (5 kb)
    Included or required:0 times
    Referenced: 1 time
    Includes or requires: 0 files

    Defines 2 classes

    cohort_candidate_selector:: (3 methods):
      __construct()
      find_users()
      get_options()

    cohort_existing_selector:: (3 methods):
      __construct()
      find_users()
      get_options()


    Class: cohort_candidate_selector  - X-Ref

    Cohort assignment candidates

    __construct($name, $options)   X-Ref
    No description

    find_users($search)   X-Ref
    Candidate users

    return: array
    param: string $search

    get_options()   X-Ref
    No description

    Class: cohort_existing_selector  - X-Ref

    Cohort assignment candidates

    __construct($name, $options)   X-Ref
    No description

    find_users($search)   X-Ref
    Candidate users

    return: array
    param: string $search

    get_options()   X-Ref
    No description